---
title: font-language-override
slug: Web/CSS/font-language-override
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - font-language-override
  - l10n
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-language-override</code></strong> CSS property controls the use of language-specific glyphs in a typeface.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
font-language-override: normal;

/* &lt;string&gt; values */
font-language-override: "ENG";  /* Use English glyphs */
font-language-override: "TRK";  /* Use Turkish glyphs */

/* Global values */
font-language-override: initial;
font-language-override: inherit;
font-language-override: unset;
</pre>

<p>By default, HTML's <code>lang</code> attribute tells browsers to display glyphs designed specifically for that language. For example, a lot of fonts have a special character for the digraph <code>fi</code> that merge the dot on the "i" with the "f." However, if the language is set to Turkish the typeface will likely know not to use the merged glyph; Turkish has two versions of the "i," one with a dot (<code>i</code>) and one without (<code>ı</code>), and using the ligature would incorrectly transform a dotted "i" into a dotless "i."</p>

<p>The <code>font-language-override</code> property lets you override the typeface behavior for a specific language. This is useful, for example, when the typeface you're using lacks proper support for the language. For instance, if a typeface doesn't have proper rules for the Azeri language, you can force the font to use Turkish glyphs, which follow similar rules.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>font-language-override</code> property is specified as the keyword <code>normal</code> or a <code>&lt;string&gt;</code>.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>Tells the browser to use font glyphs that are appropriate for the language specified by the <code>lang</code> attribute. This is the default value.</dd>
 <dt>{{cssxref("string")}}</dt>
 <dd>Tells the browser to use font glyphs that are appropriate for the language specified by the string. The string must match a language tag found in the <a href="http://www.microsoft.com/typography/otspec/languagetags.htm">OpenType language system</a>. For example, "ENG" is English, and "KOR" is Korean.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Danish_glyphs">Using Danish glyphs</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="para1"&gt;Default language setting.&lt;/p&gt;
&lt;p class="para2"&gt;This is a string with the &lt;code&gt;font-language-override&lt;/code&gt; set to <code>Danish.</code>&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p.para1 {
  font-language-override: normal;
}

p.para2 {
  font-language-override: "DAN";
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Using_Danish_glyphs', '600', '', '', 'Web/CSS/font-language-override') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Fonts', '#propdef-font-language-override', 'font-language-override')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-language-override")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-variant")}}, {{cssxref("font-variant-position")}}, {{cssxref("font-variant-east-asian")}}, {{cssxref("font-variant-caps")}}, {{cssxref("font-variant-ligatures")}}, {{cssxref("font-variant-numeric")}}, {{cssxref("font-variant-alternates")}}, {{cssxref("font-synthesis")}}, {{cssxref("font-kerning")}}.</li>
</ul>
